package com.ssj.service.kmt.kmt.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.kmt.kmt.domain.KmtPlanTemplate;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.dao.kmt.kmt.dao.KmtPlanTemplateDao;
import com.ssj.dao.kmt.kmt.dao.KmtQueryDao;
import com.ssj.service.kmt.service.KmtPlanTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;

import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Map;


@Transactional
@Service(version ="1.0")
public class KmtPlanTemplateServiceImpl   extends BaseServiceImpl<KmtPlanTemplate, String> implements KmtPlanTemplateService {

	
	@Autowired
	private KmtPlanTemplateDao dao;
	
	@Autowired
	private KmtQueryDao querydao;


	
	@Override
	public List<KmtPlanTemplate> findPlanByList(String teacherId) {
		return dao.findPlanByList(teacherId);
	}

	@Override
	public PagingAndSortingRepository<KmtPlanTemplate, String> getDao() {
		return dao;
	}

	@Override
	public KmtPlanTemplate findPlanById(String id) {
		return this.getById(id);
	}

	@Override
	public List<Map<String, Object>> findPlanSpeedByList(String studentId,
			String type) {
		return querydao.findPlanSpeedByList(studentId, type);
	}

}
